/*
Copyright (C) 2024 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
   
This file is part of simcaq-node.

simcaq-node is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

simcaq-node is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with simcaq-node.  If not, see <https://www.gnu.org/licenses/>.
*/

module.exports = function modality(id) {
    switch (id) {
        case 1:
        return 'Creche';
        case 2:
        return 'Pré-escola';
        case 3:
        return 'Alfabetização de jovens e adultos';
        case 4:
        return 'Ensino Fundamental - Anos iniciais'
        case 5:
        return 'Ensino Fundamental - Anos finais';
        case 6:
        return 'EJA - Ensino Fundamental';
        case 7:
        return 'Ensino Médio';
        case 8:
        return 'Educação profissional - técnica integrada';
        case 9:
        return 'Educação profissional - técnica concomitante e subsequente';
        case 10:
        return 'Ensino Médio Regular e Profissional articulado';
        case 11:
        return 'EJA - Ensino Médio';
        case 12:
        return 'Superior';
        case 13:
        return 'Especialização';
        case 14:
        return 'Mestrado';
        case 15:
        return 'Doutorado';
        case 99:
        return 'Não frequenta instituição de ensino';
    }
};
